########################################################################

# avec cd /vagrant; sudo salt-call --local state.apply -l debug

apache2:
  pkg:
    - installed
  service.running:
    - enable: True
    - reload: True

openssl:
  pkg:
    - installed

ssl-cert:
  pkg:
    - installed
    
Enabling ssl, auth_digest for apache:
  cmd.run:
    - name: a2enmod ssl;a2enmod auth_digest

/etc/apache2/sites-available/serveur.conf:
  file.managed:
    - source: /vagrant/serveur.conf
    - user: root
    - group: root
    - mode: 644

Enabling sites:
  cmd.run:
    - name: a2ensite 000-default;a2ensite serveur;a2ensite default-ssl;echo ServerName localhost >> /etc/apache2/apache2.conf

# Fichiers serveur web
/var/www/serveur/index.html:
  file.managed:
    - source: /vagrant/index.html
    - user: www-data
    - group: www-data
    - mode: 644
    - makedirs: True

/var/www/serveur/Wombat.jpg:
  file.managed:
    - source: /vagrant/Wombat.jpg
    - user: www-data
    - group: www-data
    - mode: 644

# Réseau
##Configuration de la VM
eth1:
  network.managed:
    - enabled: True
    - type: eth
    - proto: none
    - ipaddr: 10.16.10.80
    - netmask: 12
    - gateway: 10.16.10.1

service apache2 restart:
  cmd:
    - run
